<?php

/**
* @file bugsnag.admin.inc
*/


/**
* Administration form callback for Bugsnag settings.
*/
function bugsnag_admin_form($form, &$form_state)
{
    $form = [];

    $form['api'] = [
        '#type' => 'fieldset',
        '#title' => t('API Settings'),
    ];

    $form['api']['bugsnag_apikey'] = [
        '#type' => 'textfield',
        '#required' => true,
        '#title' => t('API key'),
        '#description' => t('Bugsnag API key for the application.'),
        '#default_value' => variable_get('bugsnag_apikey', ''),
    ];

    $form['bugsnag_release_stage'] = [
        '#type' => 'textfield',
        '#title' => t('Release Stage'),
        '#description' => t('eg. development or production.'),
        '#default_value' => variable_get('bugsnag_release_stage'),
    ];

    if (isset($_ENV) && !empty($_ENV)) {
        $form['bugsnag_send_environment'] = [
            '#type' => 'checkbox',
            '#title' => t('Send Enviroment Details'),
            '#description' => t('Set whether Bugsnag should send $_ENV with each error.'),
            '#default_value' => variable_get('bugsnag_send_environment'),
        ];
    }

    $form['proxy']['proxy_server_host'] = [
        '#type' => 'textfield',
        '#required' => false,
        '#title' => t('Proxy server hostname'),
        '#description' => t('Hostname of proxy server'),
        '#default_value' => variable_get('proxy_server_host', ''),
    ];

    $form['proxy']['proxy_port'] = [
        '#type' => 'textfield',
        '#required' => false,
        '#title' => t('Proxy server port'),
        '#description' => t('Port of proxy server'),
        '#default_value' => variable_get('proxy_port', ''),
    ];

    $form['proxy']['proxy_user'] = [
        '#type' => 'textfield',
        '#required' => false,
        '#title' => t('Proxy server username'),
        '#description' => t('Username to access proxy server'),
        '#default_value' => variable_get('proxy_user', ''),
    ];

    $form['proxy']['proxy_password'] = [
        '#type' => 'textfield',
        '#required' => false,
        '#title' => t('Proxy server password'),
        '#description' => t('Password for user to access proxy server'),
        '#default_value' => variable_get('proxy_password', ''),
    ];

    return system_settings_form($form);
}
